commit:     1d803b3f2b662d31ac3ab47abafc6aea09fdf80b
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Tue Apr 13 09:01:41 2021 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Wed Apr 14 14:41:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d803b3f

dev-java/jaxen: bug https://bugs.gentoo.org/739894

Closes: https://bugs.gentoo.org/739894
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: 
https://github.com/gentoo/gentoo/pull/20353/commits/2bd5ea67f87385106092c8ca44cca70ba67a0c71
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/jaxen/jaxen-1.1.6-r2.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/dev-java/jaxen/jaxen-1.1.6-r2.ebuild 
b/dev-java/jaxen/jaxen-1.1.6-r2.ebuild
new file mode 100644
index 00000000000..bc0878f8ca6
--- /dev/null
+++ b/dev-java/jaxen/jaxen-1.1.6-r2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A Java XPath Engine"
+HOMEPAGE="https://github.com/codehaus";
+SRC_URI="https://repo1.maven.org/maven2/${PN}/${PN}/${PV}/${P}-sources.jar -> 
${P}.jar"
+
+LICENSE="JDOM"
+SLOT="1.1"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+       ${CDEPEND}
+       >=virtual/jre-1.8:*"
+
+DEPEND="
+       ${CDEPEND}
+       >=virtual/jdk-1.8:*"
+
+JAVA_SRC_DIR="org"
+
+src_prepare() {
+       default
+
+       # xom depends on jaxen already. if we don't remove xom packages here and
+       # require jaxen to depend on xom, we end up in a circular dep.
+       # I fear though that removing those classes might bite us somewhere down
+       # the line...
+       rm -rv org/jaxen/{dom4j,jdom,xom} || die
+}

Reply via email to